Bug 231266 - [ iOS ] fast/events/ios/rotation/layout-viewport-during-safari-type-rotation.html is a constant text failure
Summary: [ iOS ] fast/events/ios/rotation/layout-viewport-during-safari-type-rotation....
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: iPhone / iPad Unspecified
: P2 Normal
Assignee: Robert Jenner
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-10-05 16:44 PDT by ayumi_kojima
Modified: 2022-06-08 17:39 PDT (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ayumi_kojima 2021-10-05 16:44:25 PDT
fast/events/ios/rotation/layout-viewport-during-safari-type-rotation.html

Is flaky failing on iOS Release iPhone.

History: https://results.webkit.org/?suite=layout-tests&test=fast%2Fevents%2Fios%2Frotation%2Flayout-viewport-during-safari-type-rotation.html

Result page: https://build.webkit.org/results/Apple-iOS-15-Simulator-Release-WK2-Tests/r283553%20(65)/results.html

Diff:

--- /Volumes/Data/worker/ios-simulator-15-release-tests-wk2/build/layout-test-results/fast/events/ios/rotation/layout-viewport-during-safari-type-rotation-expected.txt
+++ /Volumes/Data/worker/ios-simulator-15-release-tests-wk2/build/layout-test-results/fast/events/ios/rotation/layout-viewport-during-safari-type-rotation-actual.txt
@@ -5,9 +5,14 @@
 
 In orientationchange event handler:
 (This will trigger the resize handler by forcing a layout.)
-layoutViewport: 0, 0 - 568 x 320
-visualViewport: 0, 0 - 568 x 320
-client rect of fixed object:0, 0 - 568 x 320
+layoutViewport: 0, 0 - 600 x 800
+visualViewport: 0, 0 - 600 x 800
+client rect of fixed object:0, 0 - 600 x 800
+
+In resize event handler:
+layoutViewport: 0, 0 - 600 x 800
+visualViewport: 0, 0 - 600 x 800
+client rect of fixed object:0, 0 - 600 x 800
 
 In resize event handler:
 layoutViewport: 0, 0 - 568 x 320
Comment 1 Radar WebKit Bug Importer 2021-10-05 16:44:44 PDT
<rdar://problem/83910715>
Comment 2 ayumi_kojima 2021-10-05 16:48:40 PDT
Marked expectations https://trac.webkit.org/changeset/283587/webkit
Comment 3 Alexey Proskuryakov 2021-10-06 17:42:29 PDT
Failure diff looks similar to other fast/events/ios/rotation tests.
Comment 4 ayumi_kojima 2021-10-19 16:12:14 PDT
On iPhone SE 2nd generation on iOS 15 sim, it reproduced a different diff:

@ -1,21 +1,21 @@
 Before rotation
-layoutViewport: 0, 0 - 320 x 548
-visualViewport: 0, 0 - 320 x 548
-client rect of fixed object:0, 0 - 320 x 548
+layoutViewport: 0, 0 - 375 x 647
+visualViewport: 0, 0 - 375 x 647
+client rect of fixed object:0, 0 - 375 x 647
 
 In orientationchange event handler:
 (This will trigger the resize handler by forcing a layout.)
-layoutViewport: 0, 0 - 568 x 320
-visualViewport: 0, 0 - 568 x 320
-client rect of fixed object:0, 0 - 568 x 320
+layoutViewport: 0, 0 - 667 x 375
+visualViewport: 0, 0 - 667 x 375
+client rect of fixed object:0, 0 - 667 x 375
 
 In resize event handler:
-layoutViewport: 0, 0 - 568 x 320
-visualViewport: 0, 0 - 568 x 320
-client rect of fixed object:0, 0 - 568 x 320
+layoutViewport: 0, 0 - 667 x 375
+visualViewport: 0, 0 - 667 x 375
+client rect of fixed object:0, 0 - 667 x 375
 
 After rotation
-layoutViewport: 0, 0 - 568 x 320
-visualViewport: 0, 0 - 568 x 320
-client rect of fixed object:0, 0 - 568 x 320
+layoutViewport: 0, 0 - 667 x 375
+visualViewport: 0, 0 - 667 x 375
+client rect of fixed object:0, 0 - 667 x 375
 
I tried at TOT and the oldest revision available to test, but both produced the same diff. I wonder if this is because this was on iPhone SE 2nd generation. The testing bots seem to be on iPhone SE 1st generation.
Comment 5 Matteo Flores 2022-03-07 14:21:50 PST
fast/events/ios/rotation/layout-viewport-during-safari-type-rotation.html 
is still a constant failure on iOS debug without an expectation set.
Comment 6 Matteo Flores 2022-03-11 15:32:37 PST
Marking expectations for debug queue.
Comment 7 Matteo Flores 2022-03-11 15:35:49 PST
Expectations set here r291197
Comment 8 Robert Jenner 2022-05-19 21:49:42 PDT
Pull request: https://github.com/WebKit/WebKit/pull/819
Comment 9 EWS 2022-05-19 21:52:39 PDT
Test gardening commit r294529 (250784@main): <https://commits.webkit.org/250784@main>

Reviewed commits have been landed. Closing PR #819 and removing active labels.
Comment 10 Robert Jenner 2022-05-20 10:06:09 PDT
Pull request: https://github.com/WebKit/WebKit/pull/837
Comment 11 EWS 2022-05-20 10:10:29 PDT
Test gardening commit r294551 (250804@main): <https://commits.webkit.org/250804@main>

Reviewed commits have been landed. Closing PR #837 and removing active labels.
Comment 12 Robert Jenner 2022-05-20 18:18:25 PDT
Pull request: https://github.com/WebKit/WebKit/pull/873
Comment 13 EWS 2022-05-20 18:24:27 PDT
Test gardening commit r294604 (250830@main): <https://commits.webkit.org/250830@main>

Reviewed commits have been landed. Closing PR #873 and removing active labels.
Comment 14 Karl Rackler 2022-05-23 09:46:34 PDT
Rebaseline at r294529 did not resolve the issue.  I have marked this test as a flaky failure while this issue is investigated.
Comment 15 Karl Rackler 2022-05-23 09:50:47 PDT
Pull request: https://github.com/WebKit/WebKit/pull/922
Comment 16 EWS 2022-05-23 09:55:50 PDT
Test gardening commit r294649 (250873@main): <https://commits.webkit.org/250873@main>

Reviewed commits have been landed. Closing PR #922 and removing active labels.
Comment 17 Robert Jenner 2022-06-08 17:35:10 PDT
Pull request: https://github.com/WebKit/WebKit/pull/1399
Comment 18 EWS 2022-06-08 17:39:26 PDT
Test gardening commit r295405 (251411@main): <https://commits.webkit.org/251411@main>

Reviewed commits have been landed. Closing PR #1399 and removing active labels.